<?
$avatars = unserialize(file_get_contents("/usr/local/www/rock/forum/avatars.dat"));
if (rand(1,10) > 6) {
    $avatar = "/usr/local/www/rock/forum/attachments/avatar_6190.gif";
} else {
    $avatar = $avatars[rand(0,1084)];
}
$size = getimagesize($avatar);
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header("Content-type: {$size['mime']}");
readfile($avatar);
